﻿// Copyright (c) 2020 Tudor Stanciu

using MediatR;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System;

namespace Tuitio.Api.Controllers
{
    [ApiController]
    [Route("system")]
    public class SystemController : ControllerBase
    {
        public SystemController(IMediator mediator)
        {
        }

        [AllowAnonymous]
        [HttpGet("ping")]
        public IActionResult Ping()
        {
            return Ok($"Ping success. System datetime: {DateTime.Now}");
        }
    }
}
